com.impinj.stp

## Interface StpApi.VersionOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.Version, StpApi.Version.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.VersionOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBuild()`
    `java.lang.String` | `getIdent()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `com.google.protobuf.ByteString` | `getIdentBytes()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `int` | `getMaintenance()`
    `int` | `getMajor()` Also used for single number versions.
    `int` | `getMinor()`
    `StpApi.VersionType` | `getVersionID()`
    `boolean` | `hasBuild()`
    `boolean` | `hasIdent()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `boolean` | `hasMaintenance()`
    `boolean` | `hasMajor()` Also used for single number versions.
    `boolean` | `hasMinor()`
    `boolean` | `hasVersionID()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasVersionID

          boolean hasVersionID()

    - #### getVersionID

          StpApi.VersionType getVersionID()

    - #### hasMajor

          boolean hasMajor()

      Also used for single number versions.

    - #### getMajor

          int getMajor()

      Also used for single number versions.

    - #### hasMinor

          boolean hasMinor()

    - #### getMinor

          int getMinor()

    - #### hasMaintenance

          boolean hasMaintenance()

    - #### getMaintenance

          int getMaintenance()

    - #### hasBuild

          boolean hasBuild()

    - #### getBuild

          int getBuild()

    - #### hasIdent

          boolean hasIdent()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.

    - #### getIdent

          java.lang.String getIdent()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.

    - #### getIdentBytes

          com.google.protobuf.ByteString getIdentBytes()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.